tigase.xmpp

## Class XMPPDomBuilderHandler<RefObject>

- java.lang.Object
- - tigase.xmpp.XMPPDomBuilderHandler<RefObject>

- Type Parameters:
    `RefObject` -
  All Implemented Interfaces:
    tigase.xml.SimpleHandler

      public class XMPPDomBuilderHandler<RefObject>
      extends Object
      implements tigase.xml.SimpleHandler

  `XMPPDomBuilderHandler` - implementation of `SimpleHandler` building DOM strctures during parsing time. It also supports creation multiple, sperate document trees if parsed buffer contains a few XML documents. As a result of work it returns always `Queue` containing all found XML trees in the same order as they were found in network data.
  Document trees created by this DOM builder consist of instances of `Element` class or instances of class extending `Element` class. To receive trees built with instances of proper class user must provide `ElementFactory` implementation creating instances of required `ELement` extension.

  Created: Sat Oct 2 22:01:34 2004

  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ELEMENTS_NUMBER_LIMIT`
    `static String` | `ELEMENTS_NUMBER_LIMIT_PROP_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMPPDomBuilderHandler(XMPPIOService<RefObject> ioserv)` Constructs ...
    `XMPPDomBuilderHandler(XMPPIOService<RefObject> ioserv, tigase.xml.ElementFactory factory)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `elementCData(StringBuilder cdata)` Method description
    `void` | `endElement(StringBuilder name)` Method description
    `void` | `error(String errorMessage)` Method description
    `Queue<tigase.xml.Element>` | `getParsedElements()` Method description
    `void` | `otherXML(StringBuilder other)` Method description
    `boolean` | `parseError()` Method description
    `Object` | `restoreParserState()` Method description
    `void` | `saveParserState(Object state)` Method description
    `void` | `startElement(StringBuilder name, StringBuilder[] attr_names, StringBuilder[] attr_values)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENTS_NUMBER_LIMIT

          public static int ELEMENTS_NUMBER_LIMIT

    - #### ELEMENTS_NUMBER_LIMIT_PROP_KEY

          public static final String ELEMENTS_NUMBER_LIMIT_PROP_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XMPPDomBuilderHandler

          public XMPPDomBuilderHandler(XMPPIOService<RefObject> ioserv)

      Constructs ...
      Parameters:
        `ioserv` -

    - #### XMPPDomBuilderHandler

          public XMPPDomBuilderHandler(XMPPIOService<RefObject> ioserv,
                               tigase.xml.ElementFactory factory)

      Constructs ...
      Parameters:
        `ioserv` -
        `factory` -

  - ### Method Detail

    - #### elementCData

          public void elementCData(StringBuilder cdata)

      Method description
      Specified by:
        `elementCData` in interface `tigase.xml.SimpleHandler`
      Parameters:
        `cdata` -

    - #### endElement

          public void endElement(StringBuilder name)

      Method description
      Specified by:
        `endElement` in interface `tigase.xml.SimpleHandler`
      Parameters:
        `name` -

    - #### error

          public void error(String errorMessage)

      Method description
      Specified by:
        `error` in interface `tigase.xml.SimpleHandler`
      Parameters:
        `errorMessage` -

    - #### getParsedElements

          public Queue<tigase.xml.Element> getParsedElements()

      Method description
      Returns:

    - #### otherXML

          public void otherXML(StringBuilder other)

      Method description
      Specified by:
        `otherXML` in interface `tigase.xml.SimpleHandler`
      Parameters:
        `other` -

    - #### parseError

          public boolean parseError()

      Method description
      Returns:

    - #### restoreParserState

          public Object restoreParserState()

      Method description
      Specified by:
        `restoreParserState` in interface `tigase.xml.SimpleHandler`
      Returns:

    - #### saveParserState

          public void saveParserState(Object state)

      Method description
      Specified by:
        `saveParserState` in interface `tigase.xml.SimpleHandler`
      Parameters:
        `state` -

    - #### startElement

          public void startElement(StringBuilder name,
                          StringBuilder[] attr_names,
                          StringBuilder[] attr_values)

      Method description
      Specified by:
        `startElement` in interface `tigase.xml.SimpleHandler`
      Parameters:
        `name` -
        `attr_names` -
        `attr_values` -

Copyright © 2013 Tigase. All rights reserved.